
Redmine - Feature #432

Custom Email templates, system wide and per project, through web interface.

2007-09-11 17:53 - Nick Gorbikoff

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This is something we came across.

We needed to define a line of text at the bottom of each email: " Please contact Director of IT if your issue wasn't

resolved properly". This is pretty straight forward, just went into _issues.rhtml and adjust it. But it makes it

system wide, and you need to be a developer or at least have access to source.  I was wondering if it would be a good

idea to add it as a feature to the admin interface, so users could define stuff like that on per project basis, modify

their templates or something, or just add a little message, like a link to a demo page or something, so it is not hard

coded into email template.

Thank you

Related issues:

Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10

History

#1 - 2007-10-21 10:11 - Jean-Philippe Lang

Hi,

As of r858, emails footer can be customized in the admin interface

(Admin -> Mail notifications).

For now, this setting can not be overridden at project level.

#2 - 2009-03-23 20:30 - Colan Schwartz

+1 for being able to override the system-wide emission e-mail address in each project.

#3 - 2011-03-24 10:39 - Toshi MARUYAMA

- Category set to Email notifications

#4 - 2011-08-31 21:59 - Fernando Hartmann

+1

#5 - 2012-01-12 07:51 - Chrysovalanto Kousetti

+1

#6 - 2012-01-12 09:41 - Etienne Massip

- Subject changed from Custom Email Tamplates, system wide and per project, through web interface. to Custom Email templates, system wide and

per project, through web interface.

Typo.

#7 - 2013-01-24 15:37 - Jens Schneider

+1

#8 - 2013-02-19 20:46 - Anonymous

+1
